import { Field, InputType, Int, ObjectType } from '@nestjs/graphql';
import { WorkUnit } from './work-unit.model';

@InputType('WorkUnitMetadataInput')
@ObjectType()
export class WorkUnitMetadata {
  @Field(() => Int)
  version = 1;
  units: WorkUnit[];
}
