import { Module } from '@nestjs/common';
import { PasswordConverter } from './services/password-converter';
import { RedisMutexModule } from './redis-mutex/redis-mutex.module';

@Module({
  providers: [PasswordConverter],
  exports: [PasswordConverter, RedisMutexModule],
  imports: [RedisMutexModule],
})
export class CommonsModule {}
